Subject: Re: [PATCH v3 09/10] fetch: fetch unpopulated, changed submodules

From: Junio C Hamano <[email-masked]>
Date: Sat, 26 Feb 2022 10:53:24 -0800

A few tests added by this patch have been failing on one specific
job (linux-gcc ubuntu-latest) at GitHub CI.

https://github.com/git/git/runs/5341052811?check_suite_focus=true#step:5:3968
https://github.com/git/git/runs/5343133021?check_suite_focus=true#step:4:5520

    Side note: you may need to be logged in to GitHub to view them.
    These two use different versions of CI to show the test traces;
    in the latter you may have to click on right-facing rectangle on
    the line with label "5520" to see the breakage.

I think there is some baked-in assumption in the failing test what
the name of the initial branch by default is, which may be the reason
why this particular job fails while others don't.

Can you take a look at it?

Thanks.